Subject: [sup-talk] Exception in thread-view-mode

From: Kevin Riggle <[email-masked]>
Date: Sat, 10 Oct 2009 16:56:46 -0400

I ran a search, I hit enter to load a message, I changed my mind and 'x'ed out
before the message finished loading, and Sup crashed with:

--- NoMethodError from thread: load messages for thread-view-mode
undefined method `content_width' for nil:NilClass
./lib/sup/modes/thread-index-mode.rb:882:in `from_width'
./lib/sup/modes/thread-index-mode.rb:807:in `text_for_thread_at'
./lib/sup/hook.rb:122:in `each_with_index'
./lib/sup/modes/thread-index-mode.rb:806:in `each'
./lib/sup/modes/thread-index-mode.rb:806:in `each_with_index'
./lib/sup/modes/thread-index-mode.rb:806:in `text_for_thread_at'
./lib/sup/modes/thread-index-mode.rb:751:in `update_text_for_line'
./lib/sup/modes/thread-index-mode.rb:119:in `select'
./lib/sup.rb:77:in `reporting_thread'
./lib/sup.rb:75:in `initialize'
./lib/sup.rb:75:in `new'
./lib/sup.rb:75:in `reporting_thread'
./lib/sup/modes/thread-index-mode.rb:101:in `select'
./lib/sup/mode.rb:51:in `send'
./lib/sup/mode.rb:51:in `handle_input'
./lib/sup/buffer.rb:267:in `handle_input'
bin/sup:239

- Kevin
-- 
Kevin Riggle ([email-masked]) 
http://free-dissociation.com
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk